Table of Contents

## Name

XtGetErrorDatabase, XtGetErrorDatabaseText - obtain error database

## Syntax

XrmDatabase *XtGetErrorDatabase()

void XtGetErrorDatabaseText(name, type, class, default, buffer_return, nbytes, database)
char *name, *type, *class;
char *default;
char *buffer_return;
int nbytes;
XrmDatabase database;

## Arguments

buffer_return
  Specifies the buffer into which the error message is to be returned.
class
  Specifies the resource class of the error message.
database
  Specifies the name of the alternative database that is to be used or NULL if the application's database is to be used.
default
  Specifies the default message to useDm.
name
type
  Specifies the name and type that are concatenated to form the resource name of the error message.
nbytes
  Specifies the size of the buffer in bytes.

## Description

The XtGetErrorDatabase function has been superceded by XtAppGetErrorDatabase.

The XtGetErrorDatabaseText function has been superceded by XtAppGetErrorDatabaseText.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also